# Configuration file

~CONFIG_VERSION: 1.3.0

crafting {
    # Enables the crafting recipe for bronze. [default: true]
    B:bronze=false

    stamps {
        # Disables the crafting recipe for certain stamps. [default: [20n, 50n, 100n]] [valid: [1n, 2n, 5n, 10n, 20n, 50n, 100n]]
        S:disabled <
            20n
            50n
            100n
         >

        # Enables the crafting recipe for stamps. Disable to use stamps as a currency. [default: true]
        B:enabled=true
    }

}


debug {
    # Enable Debug mode (only useful to developers). [default: false]
    B:enabled=false
}


difficulty {
    # Set to your preferred game mode. Mismatch with the server may cause visual glitches with recipes. [default: EASY] [valid: [EASY, NORMAL, HARD, OP]]
    S:game.mode=NORMAL

    # Forces recreation of the game mode definitions in config/forestry/gamemodes. [default: false]
    B:recreate.definitions=false
}


genetics {
    # Energy use of Analyzer Block per work cycle. [range: 0 ~ 100000, default: 20320]
    I:analyzerblock.energy.use=20320

    # Allow bees to pollinate vanilla tree leaves. When disabled, vanilla trees must be analyzed before they can be pollinated. [default: true]
    B:pollinate.vanilla.trees=false

    research {

        boost {
            # The maximum percentage boost that can be applied by researching a mutation in the Escritoire. [range: 0.0 ~ 100.0, default: 5.0]
            S:max.percent=5.0

            # Multiplies the chance of a mutation when it has been discovered in the Escritoire. [range: 1.0 ~ 1000.0, default: 1.5]
            S:multiplier=1.5
        }

    }

}


machines {
    # List of enabled machines. Note that some things may be impossible to do if you change this! [default: [still, fabricator, centrifuge, bottler, fermenter, rainmaker, carpenter, moistener, raintank, squeezer]] [valid: [still, fabricator, centrifuge, bottler, fermenter, rainmaker, carpenter, moistener, raintank, squeezer]]
    S:enabled <
        still
        fabricator
        centrifuge
        bottler
        fermenter
        rainmaker
        carpenter
        moistener
        raintank
        squeezer
     >
}


performance {
    # Enable backpack resupply. You may want to set this to false on busy servers. [default: true]
    B:backpacks.resupply=true

    # Enables particle effects. Note that Forestry respects Minecraft's reduced particle video settings. [default: true]
    B:particleFX=true
}


power {

    types {
        # Enable MJ power support. [default: true]
        B:mj=true

        # Enable Redstone Flux power support. [default: true]
        B:rf=true

        # Enable Tesla power support. [default: true]
        B:tesla=true
    }

    display {
        # The format power will be displayed in in engine/machine interfaces. [default: RF] [valid: [RF, FE, MJ, TESLA]]
        S:mode=RF
    }

}


structures {
    # List specific structures to disable them. [default: []] [valid: [alveary3x3, farm3x3, farm3x4, farm3x5, farm4x4, farm5x5]]
    S:disabled <
     >
}


tweaks {
    B:capsule=false

    humus {
        # Set how many stages humus has before it turns into sand. [range: 1 ~ 10, default: 3]
        I:degradeDelimiter=3
    }

    gui {

        mail {

            alert {
                # Enables the new mail alert box. [default: true]
                B:enabled=true

                # Horizontal Position of the mail alert box on the screen. [default: LEFT] [valid: [LEFT, RIGHT]]
                S:xPosition=LEFT

                # Vertical Position of the mail alert box on the screen. [default: TOP] [valid: [TOP, BOTTOM]]
                S:yPosition=TOP
            }

        }

        tabs {
            # Display the energy statistics tab on energy consumers. [default: true]
            B:energy=true

            # Enables the hints tab on machine and engine guis. [default: true]
            B:hints=true

            # Set the speed at which the gui side tabs open and close. [range: 1 ~ 50, default: 8]
            I:speed=8
        }

    }

    farms {
        # Enables farm support for Extra Utilities Ender-lily seeds. [default: true]
        B:enderlily=true

        # Sets the multiplier of the multifarm and the cultivation farms. All cultivation farms alway use the double amount of fertilizer. [range: 0.1 ~ 5.0, default: 1.0]
        S:fertilizer=1.0

        # Enables farm support for Magical Crops. [default: true]
        B:magicalcrops=true

        # Enables farm support for Extra Utilities Red Orchid. [default: true]
        B:redorchid=true

        # Sets the size multiplier of the farmland. [range: 1 ~ 3, default: 2]
        I:size=2

        # Makes farms use a square layout instead of a diamond one. [default: false]
        B:square=false
    }

    greenhouse {
        S:energy=1.5
        I:range=36
        I:size=4
    }

    cultivation {
        # Sets the size of the farmland that is used by all cultivation farms. [range: 1 ~ 15, default: 4]
        I:extend=4

        # Makes cultivation farms use a ring layout like the layout of the old farms. The farmland size of the ring layout is always one block smaller. [default: true]
        B:ring=true

        # Sets the size of the inner ring of the ring layout. [range: 1 ~ 8, default: 4]
        I:ring_size=4
    }

    book {
        # Players who enter the world for the first time get a Forester's Manual. [default: true]
        B:spawn=false
    }

    capsule {
        # Enables the function that cans and capsules can pick up fluids from the world. [default: false]
        B:capsulePickup=false

        # Capsules are no longer consumed after being emptied. [default: false]
        B:capsuleReuseable=false
    }

    habitatformer {
        # for.config.tweaks.habitatformer.range.comment [range: 1 ~ 100, default: 10]
        I:range=10

        area {
            # for.config.tweaks.habitatformer.area.resources.comment [range: 0.0 ~ 5.0, default: 0.5]
            S:resources=0.5

            # for.config.tweaks.habitatformer.area.speed.comment [range: 0.0 ~ 5.0, default: 0.5]
            S:speed=0.5
        }

    }

    charcoal {
        # The base amount that the wood pile will drop if the wall blocks are no registered pile waal blocks. [range: 0 ~ 63, default: 8]
        I:amount.base=8

        # Sets the amount of blocks that the wood pile will check if it is a valid charcoal pile wall block. [range: 1 ~ 32, default: 16]
        I:check.range=16
    }

}


world {

    generate {
        B:trees=true

        # Generates Forestry villagers and their houses. [default: true]
        B:villagers=true

        retrogen {
            # Creates Forestry world generation in all chunks, even if they were generated there before. [default: false]
            B:forced=false

            # Creates Forestry world generation in chunks that were created before the mod was added. [default: false]
            B:normal=false
        }

        beehives {
            # Sets how many beehives spawn in the world. [range: 0.0 ~ 10.0, default: 1.0]
            S:amount=0.5

            # Force Forestry to generate a beehive at every possible location. (This will break your world. Only useful to developers) [default: false]
            B:debug=false
            I:dimBlacklist <
             >
            I:dimWhitelist <
                0
                -1
                1
             >

            ##########################################################################################################
            # blacklist
            #--------------------------------------------------------------------------------------------------------#
            # Disables the generation of a specific hive in a specific biome or in a biome with a specific biome
            # type. Just add the registry name of the biome or the name of the biome type to the property of the
            # hive. Every biome type / registry name has to be in a seperate line. The global type can be used to
            # blacklist a biome from all hive generation.
            ##########################################################################################################

            blacklist {
                S:desert <
                 >
                S:end <
                 >
                S:forest <
                 >
                S:global <
                 >
                S:jungle <
                 >
                S:meadows <
                 >
                S:snow <
                 >
                S:swamp <
                 >
                S:swarm <
                 >
            }

        }

        ore {
            # Generates apatite ore blocks in the world. [default: true]
            B:apatite=false

            # Generates copper ore blocks in the world. [default: true]
            B:copper=false
            I:dimBlacklist <
             >
            I:dimWhitelist <
             >

            # Generates tin ore blocks in the world. [default: true]
            B:tin=false
        }

        trees {
            S:biomeblacklist <
             >
            I:dimBlacklist <
             >
            I:dimWhitelist <
             >
            S:treeFrequency=1.0
        }

    }

}


